<?php

/**
 * Register custom post type
 *
 * @link       http://joe.szalai.org
 * @since      1.0.0
 *
 * @package    Exopite_Portfolio
 * @subpackage Exopite_Portfolio/includes
 */
class Gfni_Competition_Lists_Post_Types {
	// Register Custom Post Type
	public function competition_lists_pt() {
		
		if( function_exists('register_post_type') ):
			$labels = [
				"name" => __( "Ticket List", "custom-post-type-ui" ),
				"singular_name" => __( "Ticket Lists", "custom-post-type-ui" ),
				"menu_name" => __( "Ticket Lists", "custom-post-type-ui" ),
				"all_items" => __( "All Ticket List", "custom-post-type-ui" ),
				"add_new" => __( "Add new", "custom-post-type-ui" ),
				"add_new_item" => __( "Add new Ticket Lists", "custom-post-type-ui" ),
				"edit_item" => __( "Edit Ticket Lists", "custom-post-type-ui" ),
				"new_item" => __( "New Ticket Lists", "custom-post-type-ui" ),
				"view_item" => __( "View Ticket Lists", "custom-post-type-ui" ),
				"view_items" => __( "View Ticket List", "custom-post-type-ui" ),
				"search_items" => __( "Search Ticket List", "custom-post-type-ui" ),
				"not_found" => __( "No Ticket List found", "custom-post-type-ui" ),
				"not_found_in_trash" => __( "No Ticket List found in bin", "custom-post-type-ui" ),
				"parent" => __( "Parent Ticket Lists:", "custom-post-type-ui" ),
				"featured_image" => __( "Featured image for this Ticket Lists", "custom-post-type-ui" ),
				"set_featured_image" => __( "Set featured image for this Ticket Lists", "custom-post-type-ui" ),
				"remove_featured_image" => __( "Remove featured image for this Ticket Lists", "custom-post-type-ui" ),
				"use_featured_image" => __( "Use as featured image for this Ticket Lists", "custom-post-type-ui" ),
				"archives" => __( "Ticket Lists archives", "custom-post-type-ui" ),
				"insert_into_item" => __( "Insert into Ticket Lists", "custom-post-type-ui" ),
				"uploaded_to_this_item" => __( "Upload to this Ticket Lists", "custom-post-type-ui" ),
				"filter_items_list" => __( "Filter Ticket List list", "custom-post-type-ui" ),
				"items_list_navigation" => __( "Ticket List list navigation", "custom-post-type-ui" ),
				"items_list" => __( "Ticket List list", "custom-post-type-ui" ),
				"attributes" => __( "Ticket List attributes", "custom-post-type-ui" ),
				"name_admin_bar" => __( "Ticket Lists", "custom-post-type-ui" ),
				"item_published" => __( "Ticket Lists published", "custom-post-type-ui" ),
				"item_published_privately" => __( "Ticket Lists published privately.", "custom-post-type-ui" ),
				"item_reverted_to_draft" => __( "Ticket Lists reverted to draft.", "custom-post-type-ui" ),
				"item_scheduled" => __( "Ticket Lists scheduled", "custom-post-type-ui" ),
				"item_updated" => __( "Ticket Lists updated.", "custom-post-type-ui" ),
				"parent_item_colon" => __( "Parent Ticket Lists:", "custom-post-type-ui" ),
			];
		
			$args = [
				"label" => __( "Ticket List", "custom-post-type-ui" ),
				"labels" => $labels,
				"description" => "",
				"public" => true,
				"publicly_queryable" => true,
				"show_ui" => true,
				"show_in_rest" => true,
				"rest_base" => "",
				"rest_controller_class" => "WP_REST_Posts_Controller",
				"has_archive" => false,
				"show_in_menu" => true,
				"show_in_nav_menus" => true,
				"delete_with_user" => false,
				"exclude_from_search" => false,
				"capability_type" => "post",
				"map_meta_cap" => true,
				"hierarchical" => false,
				"rewrite" => [ "slug" => "ticket-lists", "with_front" => true ],
				"query_var" => true,
				"menu_icon" => "dashicons-tickets-alt",
				"supports" => [ "title" ],
			];
			register_post_type( 'ticket-lists', $args ); 
        endif;
        
	}
} 

